Skip to main content
GET
/
app-events
/
{id}
Get app event log record
curl --request GET \
  --url https://api.getmembrane.com/app-events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "userId": "<string>",
  "appEventTypeId": "<string>",
  "appEventSubscriptionId": "<string>",
  "event": {},
  "datetime": "<string>",
  "launchedFlowRunIds": [
    "<string>"
  ],
  "name": "<string>",
  "user": {
    "id": "<string>",
    "name": "<string>",
    "internalId": "<string>",
    "meta": {},
    "fields": {},
    "credentials": {},
    "lastActiveAt": "<string>",
    "isTest": true,
    "isBillable": true,
    "isActive": true,
    "aiCreditsRolling30DayLimit": 1,
    "createdAt": "<string>",
    "archivedAt": "<string>"
  },
  "appEventType": {
    "id": "<string>",
    "name": "<string>",
    "revision": "<string>",
    "webhookKey": "<string>",
    "globalWebhookUri": "<string>",
    "uuid": "<string>",
    "key": "<string>",
    "description": "<string>",
    "meta": {},
    "state": "BUILDING",
    "errors": [
      {
        "message": "<string>",
        "type": "bad_request",
        "key": "<string>",
        "data": {},
        "stack": {},
        "causedByError": "<unknown>",
        "logs": [
          {}
        ]
      }
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "archivedAt": "<string>",
    "isDeactivated": true,
    "isReadOnly": true,
    "subscribeRequest": {
      "uri": {},
      "method": "<string>",
      "headers": {},
      "query": {},
      "body": {}
    },
    "example": {},
    "schema": {
      "type": "<string>",
      "title": "<string>",
      "description": "<string>",
      "format": "<string>",
      "properties": {},
      "items": "<unknown>",
      "additionalProperties": true,
      "enum": [
        "<string>"
      ],
      "referenceRecords": [
        {}
      ],
      "referenceCollection": {
        "key": {},
        "parameters": {}
      },
      "referenceUdm": "<string>",
      "default": {},
      "allowCustom": true,
      "required": [
        "<string>"
      ],
      "minLength": 123,
      "maxLength": 123,
      "minimum": 123,
      "maximum": 123,
      "maxItems": 123,
      "readOnly": true,
      "writeOnly": true,
      "examples": [
        {}
      ],
      "anyOf": "<array>",
      "isImplied": true,
      "isSensitive": true,
      "referenceCollectionPath": "<string>",
      "referenceCollectionUri": "<string>"
    },
    "tenantIdFormula": {},
    "userIdFormula": {}
  },
  "appEventSubscription": {
    "id": "<string>",
    "name": "<string>",
    "revision": "<string>",
    "userId": "<string>",
    "appEventTypeId": "<string>",
    "isSubscribed": true,
    "webhookUri": "<string>",
    "subscriptionRequest": {
      "uri": {},
      "method": "<string>",
      "headers": {},
      "query": {},
      "body": {}
    },
    "uuid": "<string>",
    "key": "<string>",
    "description": "<string>",
    "meta": {},
    "state": "BUILDING",
    "errors": [
      {
        "message": "<string>",
        "type": "bad_request",
        "key": "<string>",
        "data": {},
        "stack": {},
        "causedByError": "<unknown>",
        "logs": [
          {}
        ]
      }
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "archivedAt": "<string>",
    "isDeactivated": true,
    "isReadOnly": true,
    "tenantId": "<string>",
    "instanceKey": "<string>",
    "schema": {
      "type": "<string>",
      "title": "<string>",
      "description": "<string>",
      "format": "<string>",
      "properties": {},
      "items": "<unknown>",
      "additionalProperties": true,
      "enum": [
        "<string>"
      ],
      "referenceRecords": [
        {}
      ],
      "referenceCollection": {
        "key": {},
        "parameters": {}
      },
      "referenceUdm": "<string>",
      "default": {},
      "allowCustom": true,
      "required": [
        "<string>"
      ],
      "minLength": 123,
      "maxLength": 123,
      "minimum": 123,
      "maximum": 123,
      "maxItems": 123,
      "readOnly": true,
      "writeOnly": true,
      "examples": [
        {}
      ],
      "anyOf": "<array>",
      "isImplied": true,
      "isSensitive": true,
      "referenceCollectionPath": "<string>",
      "referenceCollectionUri": "<string>"
    },
    "subscriptionResponse": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json
id
string
required
userId
string
required
appEventTypeId
string
required
appEventSubscriptionId
string
required
event
object
required
datetime
string
required
launchedFlowRunIds
string[]
required
name
string
user
object
appEventType
object
appEventSubscription
object